## START: Set by rpmautospec
## (rpmautospec version 0.2.5)
%define autorelease(e:s:pb:) %{?-p:0.}%{lua:
    release_number = 1;
    base_release_number = tonumber(rpm.expand("%{?-b*}%{!?-b:1}"));
    print(release_number + base_release_number - 1);
}%{?-e:.%{-e*}}%{?-s:.%{-s*}}%{?dist}
## END: Set by rpmautospec

# tests are enabled by default
%bcond_without tests

%global         srcname     google-cloud-build
%global         forgeurl    https://github.com/googleapis/python-cloudbuild
Version:        3.8.2
%global         tag         v%{version}
%forgemeta

Name:           python-%{srcname}
Release:        %autorelease
Summary:        Python Client for Google Cloud Build API

License:        ASL 2.0
URL:            %forgeurl
Source0:        %forgesource
Patch0:         python-google-cloud-build-mock.patch

BuildArch:      noarch

BuildRequires:  python3-devel

%if %{with tests}
BuildRequires:  python3dist(pytest)
BuildRequires:  python3dist(pytest-asyncio)
%endif

%global _description %{expand:
Creates and manages builds on Google Cloud Platform.}

%description %{_description}


%package -n python3-%{srcname}
Summary:        %{summary}
%description -n python3-%{srcname} %{_description}


%prep
%forgeautosetup -p1


%generate_buildrequires
%pyproject_buildrequires -r


%build
%pyproject_wheel


%install
%pyproject_install
%pyproject_save_files google

# Remove unnecessary script.
rm -f %{buildroot}%{_bindir}/fixup_cloudbuild*.py


%if %{with tests}
%check
# Work around an usual pytest/PEP 420 issue where pytest can't import the
# installed module. Thanks to mhroncok for the help!
mv google{,_}
%pytest --disable-warnings tests/unit
mv google{_,}
%endif


%files -n python3-%{srcname} -f %{pyproject_files}
%license LICENSE
%doc README.rst CHANGELOG.md
%{python3_sitelib}/google_cloud_build-%{version}-py%{python3_version}-nspkg.pth


%changelog
* Fri May 06 2022 Major Hayden <major@mhtx.net> 3.8.2-1
- Update to 3.8.2

* Tue Mar 08 2022 Major Hayden <major@redhat.com> 3.8.1-1
- Update to 3.8.1

* Thu Feb 17 2022 Major Hayden <major@redhat.com> 3.8.0-1
- Update to 3.8.0

* Fri Jan 21 2022 Fedora Release Engineering <releng@fedoraproject.org> 3.7.1-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_36_Mass_Rebuild

* Mon Nov 08 2021 Major Hayden <major@redhat.com> 3.7.1-1
- Update to 3.7.1

* Wed Oct 13 2021 Major Hayden <major@mhtx.net> 3.7.0-1
- Update to 3.7.0

* Tue Oct 12 2021 Major Hayden <major@mhtx.net> 3.6.0-1
- Update to 3.6.0

* Thu Sep 30 2021 Major Hayden <major@mhtx.net> 3.5.2-1
- Update to 3.5.2

* Mon Sep 27 2021 Major Hayden <major@mhtx.net> 3.5.1-1
- Update to 3.5.1

* Fri Sep 17 2021 Major Hayden <major@mhtx.net> 3.5.0-3
- Fix tests with PEP 420 workaround

* Thu Sep 09 2021 Major Hayden <major@mhtx.net> 3.5.0-2
- Move to rpmautospec

* Tue Sep 07 2021 Major Hayden <major@mhtx.net> 3.5.0-1
- Initial import (#1999109)
